From 5c650f93cd310b9c252a48380da1594bf84576d4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Jonah=20Br=C3=BCchert?= <jbb@kaidan.im>
Date: Sun, 21 Apr 2024 13:16:31 +0200
Subject: [PATCH] Remove dependency on limiri-connectivity

---
 CMakeLists.txt                              |  1 -
 src/Lomiri/PushNotifications/pushclient.cpp | 11 ++---------
 src/Lomiri/PushNotifications/pushclient.h   |  2 --
 3 files changed, 2 insertions(+), 12 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 2a77636..1e6d0bf 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -37,7 +37,6 @@ find_package(Qt5Widgets REQUIRED)
 find_package(Qt5Quick REQUIRED)
 
 find_package (PkgConfig)
-pkg_check_modules (CONNECTIVITY REQUIRED lomiri-connectivity-qt1)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
diff --git a/src/Lomiri/PushNotifications/pushclient.cpp b/src/Lomiri/PushNotifications/pushclient.cpp
index d79324d..a1e7c85 100644
--- a/src/Lomiri/PushNotifications/pushclient.cpp
+++ b/src/Lomiri/PushNotifications/pushclient.cpp
@@ -30,8 +30,7 @@ License along with this program.  If not, see
 #define POSTAL_IFACE "com.lomiri.Postal"
 
 PushClient::PushClient(QObject *parent) :
-    QObject(parent),
-    ns(new connectivityqt::Connectivity(QDBusConnection::sessionBus(), this))
+    QObject(parent)
 {
 }
 
@@ -42,18 +41,12 @@ void PushClient::setAppId(const QString &appId) {
     this->appId = appId;
     emit appIdChanged(appId);
 
-    if (ns->online()) {
-        registerApp();
-    } else {
-        disconnect(ns.data(), 0, this, 0);
-        connect(ns.data(), &connectivityqt::Connectivity::onlineUpdated, this, &PushClient::connectionStatusChanged);
-    }
+    registerApp();
 }
 
 void PushClient::connectionStatusChanged(bool status)
 {
     if (status) {
-        disconnect(ns.data(), 0, this, 0);
         registerApp();
     }
 }
diff --git a/src/Lomiri/PushNotifications/pushclient.h b/src/Lomiri/PushNotifications/pushclient.h
index 044a650..296774f 100644
--- a/src/Lomiri/PushNotifications/pushclient.h
+++ b/src/Lomiri/PushNotifications/pushclient.h
@@ -21,7 +21,6 @@ License along with this program.  If not, see
 #include <QObject>
 #include <QString>
 #include <QStringList>
-#include <connectivityqt/connectivity.h>
 
 class QDBusPendingCallWatcher;
 
@@ -70,7 +69,6 @@ private slots:
 private:
     void registerApp();
 
-    QScopedPointer<connectivityqt::Connectivity> ns;
     QString appId;
     QString pkgname;
     QString token;
-- 
2.43.0

